/* @file Pub_Main_Im_user_context.h
 * This is an example of a user defined User Module context
 */
/*
 ##############################################################
 # (C) 2015 BAE SYSTEMS
 #
 # ECOA PubSub (Publish-Subscribe) Sample
 #
 # $Id: Pub_Main_Im_user_context.h,v 2.2 2017/11/06 15:33:38 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/
#if !defined(PUB_MAIN_IM_USER_CONTEXT_H)
#define PUB_MAIN_IM_USER_CONTEXT_H

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Container Types */
#include "Pub_Main_Im_container_types.h"

#include "ECOA__File.h"

/* User Module Context structure example */
typedef struct
{
	   ECOA__File__Reference inf, logf;
	   ECOA__int32           whichFile;
	   ECOA__File__FileName  files[10];

} Pub_Main_Im_user_context;

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* PUB_MAIN_IM_USER_CONTEXT_H */
