/* File ECOA__File.h */

#if !defined(_ECOA__FILE_H)
#define _ECOA__FILE_H

#include "ECOA.h" /* Fundamental types declared for the platform */

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Record type */
typedef struct
{
   ECOA__int32 descriptor;
} ECOA__File__Reference;

/* Fixed array type */
#define ECOA__File__FileName_MAXSIZE 256
typedef ECOA__char8 ECOA__File__FileName[ECOA__File__FileName_MAXSIZE];

/* Enum type */
typedef ECOA__uint16 ECOA__File__FileFlag;
#define ECOA__File__FileFlag_READ (0)
#define ECOA__File__FileFlag_WRITE (1)
#define ECOA__File__FileFlag_READWRITE (2)
#define ECOA__File__FileFlag_APPEND (8)
#define ECOA__File__FileFlag_NONBLOCK (128)
#define ECOA__File__FileFlag_CREATE (256)
#define ECOA__File__FileFlag_TRUNCATE (512)
#define ECOA__File__FileFlag_EXCLUSIVE (1024)
#define ECOA__File__FileFlag_NOCTTY (2048)
#define ECOA__File__FileFlag_PRIVATE (4096)
#define ECOA__File__FileFlag_LARGEFILE (8192)
#define ECOA__File__FileFlag_BINARY (16384)

/* Enum type */
typedef ECOA__uint8 ECOA__File__SeekBase;
#define ECOA__File__SeekBase_SEEK_SET (0)
#define ECOA__File__SeekBase_SEEK_CUR (1)
#define ECOA__File__SeekBase_SEEK_END (2)

/* Enum type */
typedef ECOA__uint8 ECOA__File__Permission;
#define ECOA__File__Permission_READ (4)
#define ECOA__File__Permission_WRITE (2)
#define ECOA__File__Permission_EXECUTE (1)
#define ECOA__File__Permission_READEXEC (5)
#define ECOA__File__Permission_ALL (7)

/* Record type */
typedef struct
{
   ECOA__File__Permission Owner;
   ECOA__File__Permission Group;
   ECOA__File__Permission Others;
} ECOA__File__Permissions;

/* Record type */
typedef struct
{
   ECOA__File__FileName FileName;
   ECOA__File__FileFlag Access;
   ECOA__File__Permissions CreatePermissions;
} ECOA__File__FileSpec;

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* _ECOA__FILE_H */
