-- File data.ads

-- Standard ECOA Types
with ECOA;


package data is

-- Array type
type BLOB_Size is range 0..100000;
for BLOB_Size'Size use ECOA.Unsigned_32_Type'Size;
subtype BLOB_Index is BLOB_Size range 0..100000-1;
type BLOB_Data is array
    (BLOB_Index) of ECOA.Character_8_Type;
type BLOB is
   record
      Current_Size : BLOB_Size;
      Data         : BLOB_Data;
   end record;

-- Fixed Array type
type String128_Index is range 0..128-1;
type String128 is array
    (String128_Index) of ECOA.Character_8_Type;

-- Record type
type LogItem is
   record
      seq : ECOA.Signed_64_Type;
      data : BLOB;
   end record;


end data;
