/* File data.hpp */

#if !defined(DATA_HPP)
#define DATA_HPP

#include "ECOA.hpp" /* Fundamental types declared for the platform */

namespace data {


/* Array type */
const ECOA::uint32 BLOB_MAXSIZE  = 100000;
typedef struct
{
   ECOA::uint32 current_size;
   ECOA::char8 data[BLOB_MAXSIZE];
} BLOB;

/* Fixed array type */
const ECOA::uint32 String128_MAXSIZE  = 128;
typedef ECOA::char8 String128[String128_MAXSIZE];

/* Record type */
typedef struct
{
   ECOA::int64 seq;
   BLOB data;
} LogItem;


} /* data */

#endif  /* DATA_HPP */
