/*
 * htonll.c
 *
 *  Created on: 27 Apr 2015
 *      Author: sw_appleby
 *
 *  $Id: htonll.c,v 2.0 2017/08/03 08:14:07 ksappleb Exp $
 */

#include <netinet/in.h>

unsigned long long htonll( unsigned long long x )
{
#if BYTE_ORDER == BIG_ENDIAN
	return x;
#else
	unsigned long resl, resh;
	resh = htonl( x & 0xFFFFFFFFLL );
	resl = htonl( ( x >> 32 ) & 0xFFFFFFFFLL );
	return ((unsigned long long)resh)<<32 | (unsigned long long)resl;
#endif
}

unsigned long long ntohll( unsigned long long x )
{
	return htonll( x );
}
